/**********************************************************************/
/*                                                                    */
/* Copyright (c) 2001 by Sun Microsystems, Inc.                       */
/* All rights reserved.                                               */
/*                                                                    */
/**********************************************************************/



/* $Date:   27 Mar 2002 14:31:48  $ */
/* $Modtime:   14 Mar 2002 17:54:52  $ */

#ifndef	lint
#ifdef __STDC__
const
#endif
static char sccsid[] = "@(#) $Workfile:   ebmusrexit.c  $ $Revision:   1.1  $";
#endif

/*
 * $Log:   /net/dilithium/export/ENG/gr134150/mbms/mbm/unikixebm/ebmsrc/rtsfs/PVCS/ebmusrexit.c_v  $
 * 
 *    Rev 1.1   27 Mar 2002 14:31:48   gr134150
 * B4657073
 * National Language Common Message Catalog Support
 * 
 *    Rev 1.0   18 Sep 2001 13:54:06   unikix
 * Initial 9.2
 * 
 *    Rev 1.0   31 Jan 2000 15:34:56   unikix
 * Initial 9.0
 * 
 *    Rev 1.0   02/03/97 16:58:08   giulio
 * Initial revision.
 */
#define MAX_APPL_LENGTH 8
char rts_rdbms[ MAX_APPL_LENGTH + 1 ];
#define EBMFILENAME "ebmusrexit.c"
#define RTS_MSG_SET 6
extern char *kxcatgets();

kxuser_allocate()
{
char *test_appl;

	memset(rts_rdbms,'\0',MAX_APPL_LENGTH+1);
	if((test_appl=(char *)getenv("RTS_RDBMS"))!=(char*)0) {
		if(strlen(test_appl) > MAX_APPL_LENGTH) {
			printf((kxcatgets(RTS_MSG_SET,65, "(S) rtsfs: %s invalid application name\n")),test_appl);
			strcpy(rts_rdbms,"NO_RDBMS");
		} else {
			strcpy(rts_rdbms,test_appl);
		}
	} else {
		strcpy(rts_rdbms,"NO_RDBMS");
	}
return(fsuser_allocate());
}

kxuser_commit()
{
return(fsuser_commit());
}

kxuser_rollback()
{
return(fsuser_rollback());
}

kxuser_deallocate()
{
return(fsuser_deallocate());
}
